<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" class="h-100">
<head>
    <title>Edit an author</title>
	<meta charset="utf-8">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="theme-color" content="#7952b3">
	<link rel="icon" href="/assets/icons/favicon.ico" type="image/x-icon"/>

	<!-- Bootstrap core CSS -->
	<link href="/assets/css/bootstrap.min.css" rel="stylesheet">

	<style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      main > .container {
		padding: 60px 15px 0;
	  }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>


</head>
<body class="d-flex flex-column h-100">

	<header>
	  <!-- Fixed navbar -->
	  <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
	    <div class="container-fluid">
	      <a class="navbar-brand" href="/">Paper App</a>
	      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
	        <span class="navbar-toggler-icon"></span>
	      </button>
	      <div class="collapse navbar-collapse" id="navbarCollapse">
	        <ul class="navbar-nav me-auto mb-2 mb-md-0">
	          
	        </ul>
	        <div class="d-flex">
	        	<ul class="navbar-nav me-auto mb-2 mb-md-0">
	          		<li class="nav-item">
	            		<a class="nav-link" href="/papers">Papers</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/authors">Authors</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/reviewers">Reviewers</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/universities">Universities</a>
					</li>
					  
	        	</ul>

	        </div>
	      </div>
	    </div>
	  </nav>
	</header>









	<!-- Begin page content -->
	<main class="flex-shrink-0">
        <div class="container">

			<h1 class="mt-5">Edit an author</h1>

			<form action="#" th:action="@{/update_author}" th:object="${author}" method="post">

				<div class="mb-3" style="display: none;">
                    <label for="author-id" class="form-label">ID</label>
                    <input type="text" th:field="*{id}" class="form-control" id="author-id" readonly>
					<!-- it's readonly, you can't edit this :P oh no, you can... -->
					
					<!-- other hidden params -->
					<input th:field="*{papers}" class="form-control" id="author-papers" hidden>
                </div>
                <div class="mb-3">
					<label for="author-name" class="form-label">Name</label>
					<input type="text" th:field="*{name}" class="form-control" id="author-name" placeholder="Insert the name">
				</div>
				<div class="mb-3">
					<label for="author-surname" class="form-label">Surname</label>
					<input type="text" th:field="*{surname}" class="form-control" id="author-surname" placeholder="Insert the surname">
                </div>
                <div class="mb-3">
					<label for="author-birth" class="form-label">Birth Date</label>
					<input type="date" th:field="*{birth}" class="form-control" id="author-birth" placeholder="Insert the birth">
				</div>
				<div class="mb-3">
					<label for="author-h-index" class="form-label">H Index</label>
					<input type="number" min="0" th:field="*{hIndex}" class="form-control" id="author-h-index" placeholder="Insert the H index">
                </div>
                <div class="mb-3">
					<label for="author-i10-index" class="form-label">i10 Index</label>
					<input type="number" min="0" th:field="*{i10Index}" class="form-control" id="author-i10-index" placeholder="Insert the i10 index">
                </div>
                <div class="mb-3">
					<label for="author-ncit" class="form-label">Number of citations</label>
					<input type="number" min="0" th:field="*{ncit}" class="form-control" id="author-ncit" placeholder="Insert the number of citations">
				</div>

				<div class="mb-3">
					<label for="author-university" class="form-label">University</label>
					<select class="form-select" id="author-university" th:field="*{university}">
						<option th:value="null" th:text="${'Nessuna'}"></option>
						<option th:each="u : ${universities}" th:value="${u.getId()}" th:text="${u.getName()}"></option>
					</select>
				</div>

				<div class="mb-3">
					<button type="submit" class="btn btn-primary">Submit</button>
					<button type="reset" class="btn btn-danger">Reset</button>
				</div>

			</form>
			
        </div>
    </main>











	<footer class="footer mt-auto py-3 bg-light">
	  <div class="container">
	    <span class="text-muted">Made with ❤️ by <a href="https://github.com/derogab">@derogab</a>, <a href="https://github.com/dlcgold">@dlcgold</a> and <a href="https://github.com/fdila">@fdila</a>.</span>
	  </div>
	</footer>

	<script src="/assets/js/bootstrap.bundle.min.js"></script>

</body>
</html>
